# $Revision: 1.28 $, $Date: 2002/11/07 21:49:10 $
Summary:	Quantum Chemistry program
Summary(pl):	Program do chemii kwantowej
Name:		gmoiss
Version:	0.5
Release:	9
License:	GPL
Group:		X11/Applications/Science
Source0:	http://icm.linux.tucows.com/files/gnome/office/moiss-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-gsl.patch
URL:		http://moiss.pquim.unam.mx/moiss/
BuildRequires:	ORBit-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	gsl-devel >= 0.9
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	gettext-devel
BuildRequires:	libPropList-devel
BuildRequires:	libtool
BuildRequires:	pvm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Gmoiss is a program for Quantum Chemistry computations done with Monte
Carlo methods.

%description -l pl
Gmoiss jest programem do oblicze z dziedziny chemii kwantowej
metodami Monte Carlo.

%prep
%setup -q
%patch0 -p1

%build
rm -f acinclude.m4 missing
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure \
	--enable-pvm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Scientific/Chemistry,%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Scientific/Chemistry
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

#%files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Scientific/Chemistry/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gmoiss.spec,v $
Revision 1.28  2002/11/07 21:49:10  ankry
- added icon to desktop, added some docs, rel. 9

Revision 1.27  2002/10/29 21:38:44  ankry
- applnk: moved from Science/Chemistry to Scientific/Chemistry, rel. 8

Revision 1.26  2002/10/28 07:02:36  kloczek
- fix in %install.

Revision 1.25  2002/10/27 23:35:11  kloczek
- release 7: move desktop file to Science/Chemistry/.

Revision 1.24  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/09/30 12:54:47  blues
- release 6 - move desktop to Chemistry subdir - STBR

Revision 1.22  2002/09/30 07:40:53  trojan
- changed %%{applnkdir}/Science to Scientific
- release 5; STBR

Revision 1.21  2002/07/25 05:42:31  kloczek
- release 4.

Revision 1.20  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.19  2002/06/23 20:32:25  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:13:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/05/06 07:01:44  roman
- changed Science back to Scientific, but only till new version of applnk arrives :)

Revision 1.16  2002/04/25 16:25:25  arturs
fixed a small typo

Revision 1.15  2002/04/24 15:33:53  roman
- this time really changed Science to Scientific :)

Revision 1.14  2002/04/24 15:32:00  roman
- changed applnk dir from Science to Scientific

Revision 1.13  2002/04/05 19:25:24  gotar
- applnk dir changed from Scientific to Science,
- fixed polish description,
- release 3.

Revision 1.12  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:13:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/08/15 15:53:46  kloczek
- now %files is correct :>

Revision 1.8  2001/08/15 15:48:01  kloczek
- small fix in %files.

Revision 1.7  2001/08/15 15:21:56  kloczek
- rewitrd gsl patch (patch posted to maintainers),
- regenerate ac/am/lt files,
- csmetics.

Revision 1.6  2001/08/15 11:58:28  roman
- prepared to compile with gsl 0.9
- release 2
- STBR

Revision 1.5  2001/07/19 17:26:57  roman
- changed %{__install} to install

Revision 1.4  2001/05/28 13:26:52  kloczek
- fixed %install.

Revision 1.3  2001/05/28 10:16:13  roman
- Added gmoiss.desktop file

Revision 1.2  2001/05/27 17:34:31  kloczek
- cosmetics.
NOTE: it will be good prepare desktop files.

Revision 1.1  2001/05/25 07:21:47  roman
Program for Quantum Chemistry computations with Monte Carlo methods with command
line and graphical interface. Initial release.
